List muted users in direct channels
Query the list of users muted in direct channels.
Request
POST: https://[Base URL](/platform-chat-api/base-url)/v4/channel-type/mute/list
Rate limit: 100 requests per second
Authentication: All server API requests require signature verification. See API request signing.
Request body
Content type: application/json
| Parameter | Type | Required | Description |
|---|---|---|---|
pageSize | Number | No | Number of results per page. Default: 100. Max: 200. |
offset | Number | No | Starting position. Default: 0. |
channelType | String | Yes | Channel type. Currently supports PERSON (direct channels). |
Request example
HTTP
POST /v4/channel-type/mute/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: xxxxxxxxxxxxxxxx
Content-Type: application/json
{
"pageSize": 10,
"offset": 0,
"channelType": "PERSON"
}
Response
| Property | Type | Description |
|---|---|---|
code | Number | Status code. 0 indicates success. |
result | Object | Response data. |
result.totalCount | Number | Total number of muted users. |
result.mutedUserIds | String[] | Array of muted user IDs. |
Response example
HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"code": 0,
"result": {
"totalCount": 3,
"mutedUserIds": [
"all_00001",
"all_00002",
"all_00003"
]
}
}